> For the complete documentation index, see [llms.txt](https://apidocs.juicefin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.juicefin.com/apis/card-status-and-management/verify-cardholder.md).

# Verify Cardholder

## Verify Cardholder

The Verify Cardholder API allows marking a cardholder as verified,just in Praxell, not making the verification in front of verification providers as a provider.

## Input Parameters:

| Name             | Required | Definition                                                                                                                                                                                 | Comments                                                                                                                                                                                                                                                                                                        |
| ---------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Answer           | C        | Format: Alphanumeric, 255                                                                                                                                                                  | part of OOW/OOWSet tag                                                                                                                                                                                                                                                                                          |
| Description      | C        | Format: 1-500, Supported characters: Blank a-z A-Z 0-9 . , # $ ( ) / : ? - % + \*                                                                                                          | & ; @ ! \~ = \_ \ '                                                                                                                                                                                                                                                                                             |
| FileName1        | C        | Format: 1-255, Supported characters: Blank a-z A-Z 0-9 . , # $ ( ) - + & ; @ ! \~ = \_ '                                                                                                   | required & relevant only if VerificationType=VerifyManuallyByDocumentary or VerifyManuallyByThirdParty. If VerificationType=VerifyManuallyByDocumentary, the file content must be primary verification' FileCategory. If VerificationType=VerifyManuallyByThirdParty, the file content must be TP (Third Party) |
| FileName2        | C        | Format: 1-255, Supported characters: Blank a-z A-Z 0-9 . , # $ ( ) - + & ; @ ! \~ = \_ '                                                                                                   | required & relevant only if VerificationType=VerifyManuallyByDocumentary. The file must be primary or secondary verification' FileCategory and must be different than FileName1                                                                                                                                 |
| ID               | Y        | <p>Format: Numeric, 1-19<br>Description:<br>Input should be RPID in case IDType = RPID<br>Input should be Card Number in case IDType = CardNumber</p>                                      |                                                                                                                                                                                                                                                                                                                 |
| IDType           | Y        | <p>Format options:<br>CardNumber<br>RPID<br>SavingAccount</p>                                                                                                                              |                                                                                                                                                                                                                                                                                                                 |
| QuestionSequence | N        | Format: Numeric, 1                                                                                                                                                                         | part of OOW/OOWSet tag                                                                                                                                                                                                                                                                                          |
| QuestionType     | C        | Format: Alphanumeric, 255                                                                                                                                                                  | part of OOW/OOWSet tag                                                                                                                                                                                                                                                                                          |
| VerificationDate | C        | Format: YYYY-MM-DD                                                                                                                                                                         | Description: Required field only if VerificationType=VerifyManuallyBySSN. Otherwise, the field cannot not be provided. Verification date <=Today                                                                                                                                                                |
| VerificationID   | C        | Format: Alphanumeric, 50                                                                                                                                                                   | Description: Required field only if VerificationType=VerifyManuallyBySSN or VerifyByOOWQuestionsReply. Otherwise, the field cannot not be provided                                                                                                                                                              |
| VerificationType | Y        | <p>Format options:<br>VerifyByCHDetails<br>VerifyByOOWQuestionsReply<br>VerifyManuallyByDocumentary<br>VerifyManuallyByThirdParty<br>VerifyManuallyBySSN<br>(VerifiyByIssuer - future)</p> |                                                                                                                                                                                                                                                                                                                 |

## Output Parameters:

| Name                 | Definition                                                                                                                                                                                               | Failure Case | Success Case | Comments |
| -------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------ | ------------ | -------- |
| CardHolderState      | <p>Format options:<br>V<br>V-PNS<br>RNV<br>NRNV</p>                                                                                                                                                      | Not returned | Returned     |          |
| OOWEligible          | Format: Y/N                                                                                                                                                                                              | Not returned | Returned     |          |
| VerificationAttempts | Format: Numeric, 2                                                                                                                                                                                       | Not returned | Returned     |          |
| VerificationID       | Format: Alphanumeric, 50                                                                                                                                                                                 | Not returned | Returned     |          |
| VerificationStatus   | <p>Format options:<br>VerifiedSSN<br>VerifiedThirdParty<br>VerifiedDocumentary<br>VerifiedByIssuer<br>SSNVerificationRequired<br>DocumentaryVerificationRequired<br>OOWVerificationRequired<br>Blank</p> | Not returned | Returned     |          |

## XML Samples

### Input XML

```json
<?xml version="1.0" ?>
<PraxellXMLRequest>
    <AuthenticationDetails>
        <UserName>Eyal_PM_QA</UserName>
        <UserPassword>1q2w3e4r</UserPassword>
      <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
    <ServiceDetails>
        <ServiceName>VerifyCardholder</ServiceName>
        <UniqueRequestId>5543543534234235</UniqueRequestId>
    </ServiceDetails>
    <Origin>
        <OriginType>ExtAPI</OriginType>
    </Origin>
    <ServiceParams>
        <FileName1></FileName1
        <FileName2></FileName2>
        <ID></ID>
        <IDType>CardNumber</IDType>
        <VerificationType>VerifyManuallyByDocumentary</VerificationType>
        <VerificationID>vID</VerificationID>
        <OOW>
            <OOWSet>
                <QuestionSequence>1</QuestionSequence>
                <QuestionType>some.type</QuestionType>
                <Answer>some answer</Answer>
            </OOWSet>
        </OOW>
    </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
     <ResponseDetails>
        <ServiceName>VerifyCardholder</ServiceName>
        <SessionId>38802713201041094</SessionId>
        <StatusCode>0</StatusCode>
        <StatusName>StatusOK</StatusName>
        <StatusDescription>NA</StatusDescription>
        <ServiceDate>2010-09-05 13:41:49</ServiceDate>
        <ServiceId>38802713201041094</ServiceId>
    </ResponseDetails>
    <ResponseParams>
        <VerificationID>9772761</VerificationID>
        <VerificationStatus>VerifiedSSN</VerificationStatus>        
        <VerificationAttempts>1</VerificationAttempts>
        <OOWEligible>N</OOWEligible>
        <CardHolderState>V</CardHolderState>
    </ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>VerifyCardholder</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70008</StatusCode>
    <StatusName>InvalidIssuer</StatusName>
    <StatusDescription>InvalidIssuer</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/card-status-and-management/verify-cardholder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
